---
lang: en
title: 'API docs: rest.requestwithsession'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.requestwithsession.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestWithSession](./rest.requestwithsession.md)

## RequestWithSession interface

extending express request type with a session field

<b>Signature:</b>

```typescript
export interface RequestWithSession extends Request 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [session](./rest.requestwithsession.session.md) | [Session](./rest.session.md) |  |


